Request Sources API

Overview

The Request Source API is a powerful method to process source data requests in a self-service and integrated manner. Using this API, you can send lists of sources and continuously monitor and track the results of your request. You can also integrate this functionality into the services and tools you provide your customers. This will allow you to automate source additions from coverage requests. They exist, automatically added, or require a custom parser.

Authorization

All endpoints in the source API require authentication. Provide a token in one of these ways:

  1. Authorization header (recommended)
    • Authorization: Bearer <token>
  2. Query parameter
    • ?token=<token>

First Step: Request Sources

To use the API, you need to call an endpoint with a POST request with your private access token.
Call this endpoint to POST a "Request Sources" task.

Endpoint

https://api.webz.io/source-api/add-list

HTTP POST Parameters

ParameterDescription
source_typeThe type of sites/domains in this source request. Available types are: news, blog, and discussions.
list_nameName of the list. If not provided, the default name will be the request date and the provided site_type.
Example:
"May 8 2022 news"
sourcesList of the required sources (domains, subdomains, or sections), limited to 100 sources at once.

Request Output

FiledDescription
list_idThe unique ID you will use in the API that will track and present the results.

Example Request

curl -X POST "<https://api.webz.io/source-api/add-list>" \\
  -H "Authorization: Bearer YOUR_TOKEN" \\
  -H "Content-Type: application/json" \\
  -d '{
    "source_type": "news",
    "list_name": "tech feed",
    "sources": ["ynet.co.il", "ynet.co.il/sprots"]
  }'

Example Response

{
	"list_id": "6f26c73fd6af4ea5a3f9b3e31030f1f2"
}

Second Step: Get the request status

Call the following endpoint to get the status of your Sources Request from the first step. The results will cover the whole list status and the status of each domain in the list.

Endpoint

https://api.webz.io/source-api/get-results

HTTP GET Parameters

ParameterDescription
list_idThe ID you received as an output from the first step

Request Output

FieldDescription
list_idThe list ID
list_nameThe list name
list_dateThe date the list was requested
source_countNumber of sources in the list
statusThe list's current status
sourcesList of sources and metadata

Sources

FieldDescription
source_typedomain | subdomain | section
sourceRequested source
source_statusCOVERED | ADDED | FAILED | RUNNING
source_status_infoAdditional failure details (if applicable)
need_licenseNLA/NCA/CFC
domain_rankDomain ranking score
num_docsNumber of indexed documents in the past 30 days (updated every day)

Example Request

curl -X GET "<https://api.webz.io/source-api/get-results?list_id=6f26c73fd6af4ea5a3f9b3e31030f1f2>" \\
  -H "Authorization: Bearer YOUR_TOKEN"

Example Response

{
  "list_id": "6f26c73fd6af4ea5a3f9b3e31030f1f2",
  "list_name": "tech feed",
  "list_date": "2026-02-19T10:02:15.521000",
  "list_type": "news",
  "source_count": 2,
  "status": "running",
  "sources": [
    {
      "source": "ynet.co.il",
      "source_type": "news",
      "source_status": "covered",
      "source_status_info": null,
      "need_license": "NLA",
      "domain_rank": 112,
      "num_docs": 129
    },
    {
      "source": "https://www.ynet.co.il/sports",
      "source_type": "news",
      "source_status": "running",
      "source_status_info": null,
      "need_license": null,
      "domain_rank": null,
      "num_docs": null
    }
  ]
}